#ifndef _CAMERAMAN_H
#define _CAMERAMAN_H

#include "p_node.h"
#include "camera.h"
#include <vector>
#include "base_object.h"
#include "blackscreen.h"

class cameraman : public BaseObject {
  ObjectListDeclaration(cameraman);

  private:
    Camera* currentCam;
    float nearClip;
    float farClip;
    blackscreen* fadeToBlack;

  public:
    std::vector<Camera*> cameras;
    cameraman();
    void setCam(int CameraNo);
    void createCam();
    void moveCam(int x, int y, int z,  int camNo);
    void moveCurrCam(int x, int y, int z);
    void changeTarget(int camNo, std::string className, std::string objectName);
    void changeCurrTarget(std::string className, std::string objectName);
    void atachCurrTarget(PNode* target);
    void jumpCam(int x, int y, int z, int camNo);
    void jumpCurrCam(int x, int y, int z);
    void changeSpeed(float speed);
    void testCam();
    void setClipRegion(float nearClip, float farClip);
    void togglFade();

};

#endif /* _CAMERAMAN_H */
